petsc-3.6.2 2015-10-02
Report Typos and Errors

# VecLog

Replaces each component of a vector by log(x_i), the natural logarithm

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecLog(Vec v)

Not collective

### Input Parameter

v -The vector

### Output Parameter

v -The vector of logs

### See Also

VecExp(), VecAbs(), VecSqrtAbs(), VecReciprocal()

### Keywords

vector, sqrt, square root

Level:beginner
Location:src/vec/vec/utils/vinv.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages